// SPDX-License-Identifier: GPL-2.0+
/* NetworkManager system settings service
 *
 * (C) Copyright 2008 - 2020 Mikhail Efremov <sem@altlinux.org>
 */

#ifndef __NMS_ETCNET_ALT_PLUGIN_H_
#define __NMS_ETCNET_ALT_PLUGIN_H_

#define PLUGIN_NAME "etcnet-alt"

#define NMS_TYPE_ETCNET_PLUGIN (nms_etcnet_plugin_get_type())
#define NMS_ETCNET_PLUGIN(obj) \
    (G_TYPE_CHECK_INSTANCE_CAST((obj), NMS_TYPE_ETCNET_PLUGIN, NMSEtcnetPlugin))
#define NMS_ETCNET_PLUGIN_CLASS(klass) \
    (G_TYPE_CHECK_CLASS_CAST((klass), NMS_TYPE_ETCNET_PLUGIN, NMSEtcnetPluginClass))
#define NMS_IS_ETCNET_PLUGIN(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), NMS_TYPE_ETCNET_PLUGIN))
#define NMS_IS_ETCNET_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), NMS_TYPE_ETCNET_PLUGIN))
#define NMS_ETCNET_PLUGIN_GET_CLASS(obj) \
    (G_TYPE_INSTANCE_GET_CLASS((obj), NMS_TYPE_ETCNET_PLUGIN, NMSEtcnetPluginClass))

typedef struct _NMSEtcnetPlugin      NMSEtcnetPlugin;
typedef struct _NMSEtcnetPluginClass NMSEtcnetPluginClass;

GType nms_etcnet_plugin_get_type(void);

#endif /* __NMS_ETCNET_ALT_PLUGIN_H_ */
